<!DOCTYPE html>
<html lang="en">
<head>
    <% include ../_head %>
    <link rel="stylesheet" type="text/css" href="/css/modifier_exercice.css">
</head>
<body>
<% include ../_loading %>
<div class="container-fluid content-row">
    <div class="row mt-2 mr-2">
    <span class="col-2">
        <% include ../_lang %>
    </span>
        <span class="col-1" id="date" class="ml-3"></span>
        <h4 class="col-6" id="infos_eleve"></h4>
        <div class="col-3 ml-auto">
            <a href="#"
               onclick="window.location.href='<%= back === 'valider' ? '/admin/valider' : '/admin/signalement' %>'"
               id="backBtn"
               class="btn btn-outline-danger"><%= __('global_back') %></a>
            <a href="/logout" class="btn btn-outline-warning"><%= __('global_logout') %></a>
        </div>
    </div>
    <main role="main">
        <div class="row">
            <div class="col-1" style="margin-top: 10vh">
                <h3><%= __('game_1_levels') %></h3>
                <div class="btn-group-vertical">
                    <% for(var levelId in exercice.exercice.levels){ %>
                    <script>console.log(levelId)</script>
                        <button type="button" class="btn btn-secondary levelSelector"
                                onclick="ui_modifier_exercice_1.buildLevel(<%= levelId %>)"><%= __('game_1_level') %> <%= parseInt(levelId)+1 %></button>
                    <% } %>
                </div>
            </div>
            <div class="col-11">
                <div class="row"></div>
                <div class="row">
                    <div class="col-12">
                        <canvas height="500px" width="500px" id="canvas">

                        </canvas>
                    </div>
                </div>
                <div class="row mt-4">
                    <div class="col-4"></div>
                    <div class="col-2">Choisir le niveau de l'exercice</div>
                    <input id="niveauExo" class="col-2 form-control form-control-lg" type="text" name="niveauExo" value="" placeholder="Niveau de l'exercice" required autofocus>
                </div>
                <div class="row mt-4">
                    <div class="col-4"></div>
                    <textarea id="descriptionExo" class="col-4 form-control form-control-lg" placeholder="Description"></textarea>
                </div>
                <div class="row mt-4">
                    <div class="col-4"></div>
                    <div class="col-2">Choisir une image de l'exercice</div>
                    <input type="file" id="output" class="ml-2" name="" accept="image/png, image/jpeg" onchange="ui_parcours.previewImageValidation()">
                </div>
                <div class="row" style="text-align: center; margin-top: 20px">
                    <div class="col-5"></div><img id="img_preview" class="col-3">
                </div>
                <div class="row" style="text-align: center; margin-top: 20px">
                    <div class="col-3"></div>
                    <div class="col-3">
                        <a class="btn btn-danger" href="javascript:alertDelete();"
                           role="button"><%= __('admin_valider_exercice_delete') %></a>
                    </div>
                    <div class="col-3">
                        <a class="btn btn-success" href="javascript:ui_modifier_exercice_1.saveAndExit();"
                           role="button"><%= __('admin_valider_exercice_save_and_validate') %></a>
                    </div>
                    <div class="col-3"></div>
                </div>
            </div>
        </div>
    </main>
</div>
<script src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_parcours.js"></script>
<script type="text/javascript" src="/scripts/ui/validerExercice/ui_modifier_exercice_1.js"></script>
<script type="text/javascript">

    var alertDelete = function () {
        Swal.fire({
            icon: 'warning',
            title: '<%= __('admin_valider_alert_title') %>',
            text: '<%= __('admin_valider_alert_text') %>',
            showCancelButton: true,
            confirmButtonColor: '#d33d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<%= __('admin_valider_alert_confirm') %>",
            cancelButtonText: '<%= __('admin_valider_alert_cancel') %>'
        }).then((result) => {
            if (result.value) {
                ui_modifier_exercice_1.delete(<%= id %>);
            }
        });
    };

    var exercice = <%- JSON.stringify(exercice.exercice) %>;

    var trad = {};

    var exId =  <%- id %>;

    $(document).ready(function () {
        ui_modifier_exercice_1.buildImage();
    });
</script>
</body>
</html>